﻿Imports Infragistics.Win
Imports Infragistics.Win.UltraWinGanttView
Imports Infragistics.Win.UltraWinGanttView.UIElements

Class CustomCreationFilter : Implements IUIElementCreationFilter

    Public Sub AfterCreateChildElements(parent As Infragistics.Win.UIElement) Implements Infragistics.Win.IUIElementCreationFilter.AfterCreateChildElements
        If (TypeOf parent Is TaskBarUIElement) Then
            Dim text As TextUIElement
            Dim taskElement = DirectCast(parent, TaskBarUIElement)
            If parent.GetDescendant(GetType(TextUIElement)) Is Nothing Then
                text = New TextUIElement(parent, taskElement.Task.StartDateTime.ToString())
                text.TextVAlign = VAlign.Middle
                text.TextHAlign = HAlign.Center
                text.Rect = taskElement.Rect
                taskElement.ChildElements.Add(text)
            Else
                text = parent.GetDescendant(GetType(TextUIElement))
                text.Text = taskElement.Task.StartDateTime.ToString()
            End If
        End If
    End Sub

    Public Function BeforeCreateChildElements(parent As Infragistics.Win.UIElement) As Boolean Implements Infragistics.Win.IUIElementCreationFilter.BeforeCreateChildElements
        Return False
    End Function
End Class
